open Inception

module Client :CLIENT =
struct
	type t = {
		rt: Ruletable.t;
		sup: Supporter.t list;
		istate: Ruletable.state;
		fstate: Ruletable.state list;
		map: Map.t;
		hloc: Map.loc;
		sloc: Supporter.t list ;
	}

	let create init info = {
			rt= (Init_info.ruletable(init));
			sup=(Init_info.supporters(init));
			istate=(Init_info.init_state(init));
			fstate=(Init_info.final_states(init));
			map= Info.map info;
			hloc = Info.header_loc info;
			sloc = Info.supporters info;
			}

	let judge turninfo clinfo = (*simple version: kobe moves only right and saito moves only left. *)
		([
			[Judge.Move Judge.Right;Judge.Write 'e'; Judge.Move Judge.Right];
			[Judge.Move Judge.Left;Judge.Move Judge.Left;Judge.Move Judge.Left]
		],
			{
				rt=clinfo.rt;
				sup = (Info.supporters turninfo);
				istate = clinfo.istate;
				fstate = clinfo.fstate;
				map = Info.map turninfo;
				hloc = Info.header_loc turninfo;
				sloc = Info.supporters turninfo;
			}
		)		

end

